import axios from "@/api/base.js";

export default {
    /**
     * 站点设置相关
     */
    getSiteInfo: data => {
        return axios.post('admin/system/getSiteInfo', data);
    },
    setSiteInfo: data => {
        return axios.post('admin/system/setSiteInfo', data);
    },
    /**
     * 公告通知相关
     */
    getNewsInfo: data => {
        return axios.post('admin/notic/lists', data)
    },
    getNewsInfoDetail: data => {
        return axios.post('admin/notic/detail', data)
    },
    enableNewsInfo: data => {
        return axios.post('admin/notic/enable', data)
    },
    disableNewsInfo: data => {
        return axios.post('admin/notic/disable', data)
    },
    deleteNewsInfo: data => {
        return axios.post('admin/notic/delete', data)
    },
    editNewsInfo: data => {
        return axios.post('admin/notic/update', data)
    },
    addNewsInfo: data => {
        return axios.post('admin/notic/create', data)
    },
    editNewssort: data => {
        return axios.post('admin/notic/sort', data)
    },
    /**
     * 短信设置相关
     */
    getSMSInfo: data => {
        return axios.post('admin/system/getSMSInfo', data)
    },
    setSMSInfo: data => {
        return axios.post('admin/system/setSMSInfo', data)
    },
    /**
     * 系统更新
     */
    getUpdateSystemList: data => {
        return axios.post('admin/Upgrade/lists', data)
    },
    detectionSystem: data => {
        return axios.post('admin/Upgrade/check', data)
    },
    beginUpdateSystem: data => {
        return axios.post('admin/Upgrade/begin', data)
    },
    getNowSystem:data=>{
        return axios.post('admin/upgrade/currentVersion',data)
    },
    getcurrentVersion:data=>{
        return axios.post('admin/upgrade/currentVersion',data)
    },
    getNewVersion:data=>{
        return axios.post('admin/Upgrade/check',data)
    },
    /**
     * 基础设置
     */
    getBasicData:data=>{
        return axios.post('admin/baseSetting/getSiteInfo',data)
    },
    setBasicData:data=>{
        return axios.post('admin/baseSetting/setSiteInfo',data)
    },
};